package webserver;
import java.net.*; 
import java.io.*;
public class Main {
  public static void main(String[] args) throws IOException {
     ServerSocket ss = new ServerSocket(8080);
     Socket s = ss.accept();
     InputStream is = s.getInputStream();
     OutputStream os = s.getOutputStream();      
     PrintWriter out = new PrintWriter( new OutputStreamWriter(os) );
     BufferedReader in = new BufferedReader( new InputStreamReader(is) );
     String[] words = in.readLine().split(" ");  // scan the first line of req
     if( words.length == 3 && words[0].equals("GET") ){
        File file = makeFileName(words[1]);
        if( file.canRead() ){
           out.print("HTTP/1.0 200 OK\r\n\r\n");
           printFile(out,file);
        } else {
           out.print("HTTP/1.0 404 Not found\r\n\r\n");
        }
     } else {
           out.print("HTTP/1.0 400 Wrong request\r\n\r\n");
     }
     out.flush();
     in.close(); out.close(); s.close();
  }

  private static File makeFileName( String fname ){
     String[] fnameComponents = fname.split("/");
     File file = new File("www");
     for( String component: fnameComponents ){
        file = new File(file,component);
     }
     return file;
  }

  private static void printFile( PrintWriter out, File file ) throws IOException {
     BufferedReader in = new BufferedReader( new FileReader(file) );
     String line;
     while ((line = in.readLine()) != null){
        out.println(line);
     }
  }
}
